- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
libcdr::CDROutputElementList Class Reference

`#include <CDROutputElementList.h>`

## Public Member Functions
| CDROutputElementList ()
| CDROutputElementList (const CDROutputElementList &elementList)
CDROutputElementList & | operator= (const CDROutputElementList &elementList)
virtual | ~CDROutputElementList ()
void | append (const CDROutputElementList &elementList)
void | draw (libwpg::WPGPaintInterface *painter) const
void | addStyle (const WPXPropertyList &propList, const WPXPropertyListVector &propListVec)
void | addPath (const WPXPropertyListVector &propListVec)
void | addGraphicObject (const WPXPropertyList &propList, const ::WPXBinaryData &binaryData)
void | addStartTextObject (const WPXPropertyList &propList, const WPXPropertyListVector &propListVec)
void | addStartTextLine (const WPXPropertyList &propList)
void | addStartTextSpan (const WPXPropertyList &propList)
void | addInsertText (const WPXString &text)
void | addEndTextSpan ()
void | addEndTextLine ()
void | addEndTextObject ()
bool | empty () const

## Private Attributes
std::vector< CDROutputElement * > | m_elements

## Constructor & Destructor Documentation

libcdr::CDROutputElementList::CDROutputElementList | ( |  | ) |

libcdr::CDROutputElementList::CDROutputElementList | ( | const CDROutputElementList & | elementList | ) |

libcdr::CDROutputElementList::~CDROutputElementList | ( |  | ) |
| virtual

## Member Function Documentation

void libcdr::CDROutputElementList::addEndTextLine | ( |  | ) |

void libcdr::CDROutputElementList::addEndTextObject | ( |  | ) |

void libcdr::CDROutputElementList::addEndTextSpan | ( |  | ) |

void libcdr::CDROutputElementList::addGraphicObject | ( | const WPXPropertyList & | propList,
|  | const ::WPXBinaryData & | binaryData
| ) |  |

Referenced by libcdr::CDRContentCollector::_flushCurrentPath().

void libcdr::CDROutputElementList::addInsertText | ( | const WPXString & | text | ) |

void libcdr::CDROutputElementList::addPath | ( | const WPXPropertyListVector & | propListVec | ) |

Referenced by libcdr::CDRContentCollector::_flushCurrentPath().

void libcdr::CDROutputElementList::addStartTextLine | ( | const WPXPropertyList & | propList | ) |

void libcdr::CDROutputElementList::addStartTextObject | ( | const WPXPropertyList & | propList,
|  | const WPXPropertyListVector & | propListVec
| ) |  |

void libcdr::CDROutputElementList::addStartTextSpan | ( | const WPXPropertyList & | propList | ) |

void libcdr::CDROutputElementList::addStyle | ( | const WPXPropertyList & | propList,
|  | const WPXPropertyListVector & | propListVec
| ) |  |

Referenced by libcdr::CDRContentCollector::_flushCurrentPath().

void libcdr::CDROutputElementList::append | ( | const CDROutputElementList & | elementList | ) |

void libcdr::CDROutputElementList::draw | ( | libwpg::WPGPaintInterface * | painter | ) | const

bool libcdr::CDROutputElementList::empty | ( |  | ) | const
| inline

Referenced by libcdr::CDRContentCollector::_flushCurrentPath().

libcdr::CDROutputElementList & libcdr::CDROutputElementList::operator= | ( | const CDROutputElementList & | elementList | ) |

## Member Data Documentation

std::vector<CDROutputElement *> libcdr::CDROutputElementList::m_elements
| private

Referenced by append(), CDROutputElementList(), empty(), and operator=().

The documentation for this class was generated from the following files:

- CDROutputElementList.h
- CDROutputElementList.cpp